{ @abstract(Registers the PasDoc components into the IDE. )
  @author(Ralf Junker (delphi@zeitungsjunge.de))
  @author(Johannes Berg <johannes@sipsolutions.de>) 
  @author(Michalis Kamburelis)
  @cvs($Date: 2014-05-21 22:57:07 +0300 (Wed, 21 May 2014) $)  
  
  TODO: We have some properties in TPasDoc and generators components that
  should be registered with filename editors.
}

unit allpasdocreg;

{$I pasdoc_defines.inc}

interface

{ Registers the PasDoc components into the IDE. }
procedure Register;

implementation

  {$R allpasdocreg.res}

uses
  Classes,lresources,
  PasDoc_Base,
  PasDoc_GenHtml,
  PasDoc_GenLatex,
  PasDoc_GenHtmlHelp,
  PasDoc_GenTitanScripter;

procedure Register;
begin
  RegisterComponents('PasDoc', [TPasDoc,
                                THTMLDocGenerator,
                                TTexDocGenerator,
                                THTMLHelpDocGenerator,
                                TTitanScriptDocGenerator]);
end;


end.
